Bug 124469 - table of figures and index of tables not clickable in pdf
Summary: table of figures and index of tables not clickable in pdf
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.2.1.2 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: TableofContents-Indexes
  Show dependency treegraph
 
Reported: 2019-04-01 13:48 UTC by Pak Tasliman
Modified: 2020-02-11 16:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pak Tasliman 2019-04-01 13:48:23 UTC
Description:
after export as pdf from an odt document, the table of figures entries are not clickable.

Steps to Reproduce:
1. insert image in writer
2. insert caption 
3. make table of figures (using "table of figures" type, category: Drawing)
4. export as pdf
5. click an entry in Table of Figures.

Actual Results:
Not clickable, nothing happened

Expected Results:
clickable and direct us to the image caption location inside document.


Reproducible: Always


User Profile Reset: No



Additional Info:
in previous version I can click on Table of Figures entries in pdf document made by libreoffice writer. 

In version 6.2, I also tried using "figure" category instead of drawing, same result.

the same result (not clickable) also found on "index of table"

in "table of content", the behaviour is normal.
Comment 1 Dieter 2019-04-02 10:17:18 UTC
I confirm this with

Version: 6.2.2.2 (x64)
Build-ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

But not with

Version: 5.4.7.2 (x64)
Build-ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU-Threads: 4; BS: Windows 6.19; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 2 raal 2019-04-07 19:42:56 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl ; Could you possibly take a look at this one?
Thanks

f792c3486c986bd58e2e450e514d3ca19baea792 is the first bad commit
commit f792c3486c986bd58e2e450e514d3ca19baea792
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Dec 18 20:21:21 2018 +0100

    source sha:7d481f7ac1971be622520258a4b13ada29282844

author	Michael Stahl <Michael.Stahl@cib.de>	2018-12-11 17:29:44 +0100
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-12-18 17:55:28 +0100
commit	7d481f7ac1971be622520258a4b13ada29282844 (patch)
tree	e57d32365c58ef5b9d7a087281dc8a1d8372272e
parent	59bdf21f4d933835e158b1f94f29d7b273a4b154 (diff)
sw_redlinehide_4b: visibility checks for EnhancedPDFExport links
Comment 3 Commit Notification 2019-04-10 08:18:08 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0017c9b5720ddc4d6327ec06e05c681f08ea6f1d%5E%21

tdf#124469 sw_redlinehide: fix PDF export of links to sequence fields

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2019-04-10 08:19:42 UTC
fixed on master
Comment 5 Commit Notification 2019-04-10 13:44:55 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ab52cb7cdf9d69c58b06f93a5488a534e12ebcd2%5E%21

tdf#124469 sw_redlinehide: fix PDF export of links to sequence fields

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-04-12 10:14:39 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 90b13c2c406ec2cdddfa6580edb401c0d07feae6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 7 tracyson 2019-12-06 04:14:24 UTC Comment hidden (spam)
Comment 8 DeniseStuart 2020-01-29 11:37:46 UTC Comment hidden (spam)
Comment 9 Keira Tayor 2020-02-10 09:39:09 UTC Comment hidden (spam)
Comment 10 jeffred 2020-02-11 10:21:39 UTC Comment hidden (spam)